Subject: RE: [seamoby-mm] RE: [seamoby] problem statement and rechartering (was: Re: The ri ght protocol was RE: [seamoby-mm] ietf-seamoby-mm-pr oblem-00-a1.txt)

From: "Gary Kenward" <[email-masked]>
Date: Wed, 31 Jan 2001 11:37:44 -0500

Fair assessment James, although I do believe that there is a real
emerging market need for an alternative mobility solution. Namely,
in support of wireless LANs, CANs, PANs. 

I do find it curious that you see it as being a research activity. There
has been research going on for 20 years on network mobility support,
and there is actually more information floating about on alternative
solutions
then there was for MIP when the IETF created the working group 10 
years ago.

I'm going to get flamed for saying this, but I sense that out of the ten
years of struggling to be deployed, the people working on MIP are 
paranoid that an alternative solution will take away what momentum
it has, similar to what DHCP did for the nomadic application. I always
thought the rule was to let the market decide.

The reason that this is coming out now, is in response to your statement
of losing 10 years of effort. I sincerely hope that this is not a factor
in determining the formulation of the micromobility problem statement,
or in influencing its focus and forcefulness.

'Nuff said.
Gary

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]]
> Sent: Tuesday, January 30, 2001 3:49 PM
> To: Kenward, Gary [WDLN2:AN10:EXCH]
> Cc: [email-masked]; [email-masked]'
> Subject: [seamoby-mm] RE: [seamoby] problem statement and rechartering
> (was: Re: The ri ght protocol was RE: [seamoby-mm] ietf-seamoby-mm-pr
> oblem-00-a1.txt)
> 
> 
> At 02:47 PM 1/30/01 -0500, Gary Kenward wrote:
> 
> >I'm with you to this point, James. But, if we were to follow 
> this logic
> >through, we'd still be trying to get ISDN to work, or maybe even,
> >*shudder* X.25.  I'm willing to bet that the total person years and
> >$$$ invested in both of these solutions far outweighs what has been
> >expended on MIP.
> >
> >The telecom industry, and ITU, are  known for there inertia. 
> Are you implying
> >that the IETF must avoid developing better solutions simply because
> >people spent 10 years on a solution that wasn't needed?
> 
> If I thought that, I wouldn't have recommended micromobility 
> be taken to 
> the IRTF.
> And if I thought mobile IP wasn't needed, I wouldn't be working
> on fast handoff (and care so much that the right solution be adopted).
> 
> Mobile IP has made some straightforward
> extrapolations from the wired case, but it is not clear that they
> are optimal. The Seamoby micromobilty design team
> has decided to restrict discussion of the need for a new micromobility
> protocol to intrasubnet mobility. Now, it is not at all clear 
> that this
> is even a problem at L3 given support provided in L2 for mobility
> between access points. I don't want to prejudge the outcome of
> their process, but I have the impression that this decision was
> as much influenced by the fact that mobile IP is the mobility
> protocol of choice for the intersubnet case and the people who
> have been pushing for doing a new micromobility protocol are
> looking for some space where they can do some new work.
> I don't think that's the right way to get the best mobility solution.
> 
> I think Phil N., Andrew C., and the others that have new ideas in
> this area need some space where they can explore exactly
> what is the right way to do mobility at the edge and in the
> core, without regard to precedent. The IETF is not the
> right place for this work, since the intent of IETF standards
> is to facilitate interoperability and deployment. The IRTF
> is.
> 
> The fact of the matter is that mobile IP has deployment momentum
> even if it isn't the best (in some abstract sense) protocol given
> what we know now. It clearly was when it was designed, and
> the deployment momentum suggests we finish it and make
> it available for the 3G's and others. After all, would the Internet
> have ever happened if IPv4 had been abandoned  immediately when
> Deering and others began to realize the problems it has?
> 
>                  jak
> 
>

---

From: James Kempf <[email-masked]>
Date: Mon, 29 Jan 2001 14:10:54 -0800

Gary,

>or in influencing its focus and forcefulness.

This is *your * interpretation of my email. It is not what I intended
to say.

I don't think that there has been 10 years of lost effort. Quite the 
contrary. I think
mobile IP made some straightforward assumptions from the
wired case that were fairly accurate at the time. Exactly like IPv4 made
the assumption that 32 bits of address space was enough. Let's get on with the
job of finishing mobile IP, while opening some space in the
context of IRTF to begin exploring alternatives.

>Gary

Yes, exactly. I will now shut up in deference to our working group chair's 
request
for silence on this thread.

                 jak